%define anolis_release 2

%define glib2_version 2.69.0

%global tarball_version %%(echo %{version} | tr '~' '.')

%global with_libproxy 1

Name:           glib-networking
Version:        2.72.0
Release:        %{anolis_release}%{dist}
Summary:        Networking support for GLib

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/glib-networking
Source0:        https://download.gnome.org/sources/glib-networking/2.72/%{name}-%{tarball_version}.tar.xz

BuildRequires:  ca-certificates
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
%if 0%{?with_libproxy}
BuildRequires:  pkgconfig(libproxy-1.0)
%endif
BuildRequires:  pkgconfig(p11-kit-1)
BuildRequires:  systemd-rpm-macros

Requires:       ca-certificates
Requires:       glib2 >= %{glib2_version}
Requires:       gsettings-desktop-schemas

# For glib-pacrunner
Recommends:     libproxy-webkitgtk4

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains libproxy- and GSettings-based
GProxyResolver implementations and a gnutls-based GTlsConnection
implementation.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package tests
Summary: Tests for the glib-networking package
Requires: %{name} = %{version}-%{release}

%description tests
The glib-networking-tests package contains tests that can be used to verify
the functionality of the installed glib-networking package.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson \
%if !0%{?with_libproxy}
  -Dlibproxy=disabled \
%endif
  -Dinstalled_tests=true \
  %nil
%meson_build

%install
%meson_install

%generate_compatibility_deps

%find_lang %{name}

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_libdir}/gio/modules/libgioenvironmentproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{abidir}/libgioenvironmentproxy.dump
%{abidir}/libgiognomeproxy.dump
%{abidir}/libgiognutls.dump
%if 0%{?with_libproxy}
%{_libdir}/gio/modules/libgiolibproxy.so
%{abidir}/libgiolibproxy.dump
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_userunitdir}/glib-pacrunner.service
%endif
%{abidir}/mock-pkcs11.dump

%files doc
%doc NEWS README

%files tests
%{_libexecdir}/installed-tests/glib-networking
%{_datadir}/installed-tests

%changelog 
* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.72.0-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 2.72.0-1
- Init package from upstream v2.72.0
